
local sheepCheeseDairy = ...

sheepCheeseDairy:registerAssetId("models/cheeseDairy.fbx/Prefab/cheeseDairyPart", "SHEEP_CHEESE_DAIRY_PREFAB")

-- Register the cheese dairy monument
sheepCheeseDairy:register({
	DataType = "MONUMENT",
	Id = "SHEEP_CHEESE_DAIRY_MONUMENT",
	Name = "SHEEP_CHEESE_DAIRY_NAME",
	Description = "SHEEP_CHEESE_DAIRY_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "SHEEP_CHEESE_DAIRY_NAME",
                	BuildingPartList = { "SHEEP_CHEESE_DAIRY_PART" }
                }
        },
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})

sheepCheeseDairy:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING_PART
	DataType = "BUILDING_PART",
--Cr l'objet
	Id = "SHEEP_CHEESE_DAIRY_PART",
	Name = "SHEEP_CHEESE_DAIRY_NAME",
	Description = "SHEEP_CHEESE_DAIRY_DESC",
	Category = "CORE",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
--on dclare d'aller chercher SHEEP_CHEESE_DAIRY_PREFAB pour construire l'object final ( c'est dans le Fbx )
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "SHEEP_CHEESE_DAIRY_PREFAB"
	},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "SHEEP_CHEESE_DAIRY_PREFAB",
--Les ressources ncessaires.
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 1 }
		},
		RessourcesNeeded = {
			{ Resource = "STONE", Quantity = 10 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 1,
                RelatedJob = { Job = "SHEEP_CHEESE_MAKER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "SHEEP_MILK", Quantity = 50 }
                },
                ResourceListNeeded = {
                	{ Resource = "SHEEP_MILK", Quantity = 3 }
                },
                ResourceProduced = {
			{ Resource = "SHEEP_CHEESE", Quantity = 1 }
                }
	}
})

sheepCheeseDairy:registerPrefabComponent("models/cheeseDairy.fbx/Prefab/cheeseDairyPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {16, 2}
})

-- Override building part components properties (generated by the building asset processor) to add building zones

sheepCheeseDairy:registerPrefabComponent("models/cheeseDairy.fbx/Prefab/cheeseDairyPart", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZone = { 16, 6 }
})


